Skip to content

Change Email Initiate

POST
/auth/change-email/initiate
curl --request POST \
--url https://example.com/auth/change-email/initiate \
--header 'Content-Type: application/json' \
--data '{ "new_email": "example", "current_password": "example" }'
Media typeapplication/json
ChangeEmailInitiateRequest
object
new_email
required
New Email
string
current_password
required
Current Password
string
Examplegenerated
{
"new_email": "example",
"current_password": "example"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}